<?php
/* Template Name: Archives */
	global $wpdb;	
	//DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts  
	global $wpquery;
if ( is_paged() ) :
        $fetch_archive = query_posts ( "paged=".get_query_var('paged' ) );
    else :
        $fetch_archive = query_posts( "paged=1" );
    endif;
	get_header(); 
?>
<div class="title-block">
    <h2 class="section-title"><?php the_title(); ?></h2>
</div>
<ul class="double-cloumn clearfix">    
    <li id="left-column">	
            <ul class="archives_list">
            <?php
                foreach( $fetch_archive as $archive_data) :
                    global $post;
                    $post = $archive_data;
                    $category_id = get_the_category( $archive_data->ID );
                    $this_category = get_category( $category_id[0]->term_id );
                    $this_category_link = get_category_link( $category_id[0]->term_id );
                    $link = get_permalink( $archive_data->ID ); 
					$args  = array( 'postid' => $post->ID, 'width' => 80, 'height' => 80, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '80x80' );
					$image = get_obox_media( $args );  
			?>
                    <li>
                        <div class="archive-post-image">
                        	<?php if ( $image !="" ) echo $image; ?>
                        </div>
                        <?php if(get_option("ocmx_meta_date") !="false") : ?>
                            <span class="date">
                                <?php echo the_time( get_option('date_format') ); ?>
                            </span>
                        <?php endif; ?>
                        <a href="<?php echo get_permalink( $archive_data->ID ); ?>" class="post-title"><?php echo substr( $archive_data->post_title, 0, 45 ); ?></a>
                        <?php if(get_option("ocmx_meta_comments") !="false" && comments_open($post->ID)) : ?>
                            <a href="<?php echo get_permalink( $archive_data->ID ); ?>/#comments" class="comment-count" title="<?php _e("Comment on ", "ocmx"); echo get_permalink( $archive_data->post_title ); ?>">
                                <?php echo $archive_data->comment_count; ?> <?php _e("comments", "ocmx"); ?>
                            </a>
                        <?php endif; ?>
                        <span class="label">
                            <a href="<?php echo $this_category_link; ?>" title="<?php _e("View all posts in ","ocmx"); echo $this_category->name; ?>" rel="category tag"><?php echo $this_category->name; ?></a>
                        </span>
                    </li>
                <?php
                    $last_month = date_i18n("m Y", strtotime($archive_data->post_date));
                endforeach;
            ?>
        </ul>
        <?php motionpic_pagination("clearfix", "pagination clearfix"); ?>
	</li>
	<?php get_sidebar(); ?>
</ul>
<?php get_footer(); ?>