<?php 
global $post;
$link = get_permalink($post->ID); 
$args  = array( 'postid' => $post->ID, 'width' => 620, 'hide_href' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '620' );
$image = get_obox_media( $args );
?>
<div class="post-content clearfix">
<?php if( !is_page() && get_option( "ocmx_meta_social" ) != "false") : //Show Social Links unless unchecked in Theme Options ?>
    <ul class="social">
		<li class="addthis">
			<!-- AddThis Button BEGIN. Customize at http://www.addthis.com-->
			<div class="addthis_toolbox addthis_default_style ">
                <a class="addthis_button_facebook_like"></a>
                <a class="addthis_button_tweet"></a>
                <a class="addthis_counter addthis_pill_style"></a>
            </div>
			<script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=xa-507462e4620a0fff"></script>
            <!-- AddThis Button END -->
        </li>
	</ul>
<?php endif; ?>
	<!--Show the Title -->
    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
    <?php if($image !="") : ?>
    	<div class="post-image fitvid">
    		<?php echo $image; ?>
        </div>
   <?php endif; ?>
    <!--Begin Meta -->
    <?php if( !is_page() ) : ?>
    <div class="post-meta clearfix">
        <p>
            <?php if( get_option( "ocmx_meta_author" ) != "false" ) :  //Show the Author link unless unchecked in Theme Options
					_e("By ", "ocmx"); ?> <?php the_author_posts_link(); endif; ?> 
            <?php if( get_option( "ocmx_meta_date" ) != "false") : _e("on ", "ocmx");  //Show the date unless unchecked in Theme Options 
					echo the_time(get_option('date_format')); endif; ?>
            <?php if (get_option( "ocmx_meta_category" ) != "false" ): // only for posts...
					_e("in ", "ocmx"); the_category(", "); endif; ?>
            <?php if (comments_open($post->ID)): _e(" with ", "ocmx"); ?> <a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__('0 Comments','ocmx'), __('1 Comment','ocmx'), __( '% Comments','ocmx') );?></a><?php endif; ?>
        </p>
    </div>
    <?php endif; ?>
	<!--Begin Content -->
    <div class="copy clearfix">
         <?php the_content(""); ?>
    </div>

    <?php if(!is_page() && get_option( "ocmx_meta_post_links" ) != "false" ) : //Show the Post Nav unless unchecked in Theme Options ?>            
        <ul class="next-prev-post-nav">
            <li>
                <?php if ( get_adjacent_post( false, '', true ) ): // if there are older posts ?>
                    &larr;  <span><?php previous_post_link("%link", "%title"); ?></span>
                <?php else : ?>
                    &nbsp;
                <?php endif; ?>
            </li>
            <li>
                <?php if ( get_adjacent_post( false, '', false ) ): // if there are newer posts ?>
                    <span><?php next_post_link("%link", "%title"); ?></span> &rarr;
                <?php else : ?>
                    &nbsp;
                <?php endif; ?>    
            </li>
        </ul>
    <?php endif; ?>
</div>