<?php 
/* Template Name: Services List */
// Fetch the Services Categories
$cat_list = get_terms("service-category", "orderby=count&hide_empty=0&postcount=-1");
get_header();	
$wp_query = new WP_Query();
  $args = array(
    'post_type' => 'service' ,
    'taxonomy_name' => 'service-category',
    'posts_per_page'  => -1,
    'order' => 'ASC',
    'orderby' => 'name'

   );
query_posts($args); 

?>

<div class="title-block">
	<h2 class="section-title"><?php the_title(); ?></h2>
</div>

<ul class="content service-list-content">
    <li id="left-col">
		<ul class="service-title-list">
		<?php while ( have_posts() ) : the_post(); 
			if(!isset($_GET["view-service"]) && !isset($i)) :
				$selected = $post->ID;
			elseif (isset($_GET["view-service"]) && $_GET["view-service"] == $post->post_name) :
				$selected = $post->ID;
			endif; 			
				$icon = get_post_meta($post->ID, "icon", true); 
		?>				
			<li <?php if( isset ( $selected ) && $selected == $post->ID ) : ?>class="active"<?php endif; ?>>
				<span class="service-list-icon">
					<img src="<?php echo $icon; ?>" alt="" />
				</span>
                <a href="#"><?php the_title(); ?></a>
			</li>
		<?php $i=0; endwhile; ?>
	    </ul>
	</li>
	
	<li id="right-col">
		<ul>				
			<?php while ( have_posts() ) : the_post(); 
				$args  = array( 'postid' => $post->ID, 'width' => 620, 'height' => 349, 'hide_href' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '620x349' );
				$image = get_obox_media( $args );  
			?>				
				<li class="feature-block <?php if( $selected != $post->ID ) : ?>no_display<?php endif; ?>">	
					<h3 class="post-title"><?php the_title(); ?></h3>
                    <div class="service-excerpt">
						<?php if( get_option( "ocmx_meta_service_excerpt" ) != "false" ) : //Show the excerpt unless unchecked in Theme Options 
								the_excerpt();
							endif; ?>
					</div>
                    <div class="services-image fitvid">
						<?php echo $image ?>
					</div>
                    <div class="copy">
						<?php the_content(); ?>
                    </div>
				</li>
				<?php $j=0; ?>
			<?php endwhile; ?>
		</ul>               
	</li>	
</ul>
<!--Begin Footer -->
<?php get_footer(); ?>