<?php 
global $post;
$link = get_permalink( $post->ID );
$args  = array( 'postid' => $post->ID, 'width' => 620, 'hide_href' => false, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '620' );
$image = get_obox_media( $args );

?>
<!--Begin Post -->
<li class="post">		
    <h2 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
    <!--Show Featured Image or Video -->
	<div class="post-image fitvid">
    	<?php echo $image; ?>
    </div>
	<div class="post-meta clearfix">
		<p>
           <?php if( get_option( "ocmx_meta_author" ) != "false" ) :  //Show the Author link unless unchecked in Theme Options
					_e("By ", "ocmx"); ?> <?php the_author_posts_link(); endif; ?> 
            <?php if( get_option( "ocmx_meta_date" ) != "false") : _e("on ", "ocmx");  //Show the date unless unchecked in Theme Options 
					echo the_time(get_option('date_format')); endif; ?>
            <?php if (get_option( "ocmx_meta_category" ) != "false" ): // only for posts...
					_e("in ", "ocmx"); the_category(", "); endif; ?>
            <?php if (comments_open($post->ID)): _e(" with ", "ocmx"); ?> <a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__('0 Comments','ocmx'), __('1 Comment','ocmx'), __( '% Comments','ocmx') );?></a><?php endif; ?>
        </p>
	</div>
    <!--Begin Content -->
    <div class="copy clearfix">
        <?php if( $post->post_excerpt !== "" ) :
            the_excerpt(); ?>
			<p><a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading &rarr;", "ocmx"); ?></a></p>
        <?php else :
            the_content("");
        endif; ?>
    </div>    
</li>                        
