<?php 
global $post, $blog_id;
//Meta for this item
$link = get_permalink($post->ID);  
$args  = array( 'postid' => $post->ID, 'width' => 680, 'hide_href' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '680' );
$image = get_obox_media( $args );
$imgarray = array(get_post_meta($post->ID, "other_media", true));
?>
<!--Begin Left Column Slider -->
<li id="left-column">
    <div class="portfolio-slider">
		<ul class="portfolio-list">
			<?php if($image !="") : ?>
                <li class="featured-image">
                    <div class="portfolio-image fitvid"> 
                        <?php echo $image; ?>
                    </div>
                </li>
            <?php endif; ?>
			<?php 
			$attach_args = array( "post_type" => "attachment", "post_parent" => $post->ID, "offset" => "1", "orderby" => "menu_order", "order" => "ASC", "posts_per_page" => "-1");
			$attachments = get_posts( $attach_args );
			foreach( $attachments as $attachement => $this_attachment ) :  
				$image = wp_get_attachment_image_src( $this_attachment->ID, "680" );
				$full = wp_get_attachment_image_src( $this_attachment->ID,  "full" );
				$thumbs = $image[0];
				if( is_multisite() ) :					
					$thumbs = str_replace( get_site_url( $blog_id ), "", $thumbs );
					$thumbs = str_replace("/files/", "/wp-content/blogs.dir/$blog_id/files/", $thumbs); 
				endif;  
				if( !in_array( $full[0], $imgarray ) ) : ?>
				<li class="attachment"> 
                	<div class="portfolio-image fitvid"> 
                        <a rel="lightbox" class="" href="<?php echo $full[0]; ?>" >
                        	<img src="<?php echo $thumbs; ?>" alt="<?php echo $this_attachment->post_title; ?>" />
                        </a>
					</div>
				</li>
			<?php endif; 
				$imgarray[] = $full[0];
			endforeach; ?>

        </ul>
        <?php if( !empty( $attachments ) ) : ?>
        	<a href="#" class="next"><?php _e("Next", "ocmx"); ?></a>
       		<a href="#" class="previous"><?php _e("Previous", "ocmx"); ?></a>
        <?php endif; ?>
    </div>   
	<?php if( get_option( "ocmx_meta_post_links" ) != "false" ) : //Show the Post Nav unless unchecked in Theme Options ?>       
        <ul class="next-prev-post-nav">
            <li>
                <?php if ( get_adjacent_post( false, '', true ) ) : // if there are older posts ?>
                    &larr;  <?php previous_post_link("%link", "%title"); ?>
                <?php else : ?>
                    &nbsp;
                <?php endif; ?>
            </li>
            <li>
                <?php if ( get_adjacent_post( false, '', false ) ): // if there are newer posts ?>
                    <?php next_post_link("%link", "%title"); ?> &rarr;
                <?php else : ?>
                    &nbsp;
                <?php endif; ?>    
            </li>
        </ul>
	<?php endif; ?>
	<!--Get Comments, if enabled -->
    <?php comments_template(); ?>
</li><!--End Left Column -->
<!--Begin Right Column Content -->
<li id="right-column">
	<h4 class="portfolio-category-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h4>
    <div class="copy">
        <?php the_content(""); ?>
    </div>
</li>