<?php
global $post, $layout;
if($layout == "one-column") :
	$resize = "940x529";
	$width = 940;
	$height = 529;
elseif($layout == "two-column") :
	$resize = "460x259";
	$width = 460;
	$height = 259;
elseif($layout == "three-column") :
	$resize = "300x169";
	$width = 300;
	$height = 169;
else :
	$resize = "220x124";
	$width = 220;
	$height = 124;
endif;

$link = get_permalink($post->ID); 
$args  = array('postid' => $post->ID, 'width' => $width, 'height' => $height, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => $resize);
$image = get_obox_media($args); ?>
<!--Begin portfolio thumb -->
<li>
	<!--Show the Featured Image or Video -->
	<div class="portfolio-image fitvid">
		<?php echo $image; ?>
    </div>
    <!--Show the Title -->
	<h4 class="post-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h4>
    <!--Show the Excerpt -->
	<?php the_excerpt(); ?>
</li>		