<?php 
/* 
Template Name: Quotes 
*/

global $wp_query;
get_header(); 

$args = array(
	"post_type" => 'quotes',
	"posts_per_page" => '-1',
	"orderby" => "date"
);

$get_quotes = new WP_Query($args);
?>

<div id="full-width" class="clearfix">
	<?php if (have_posts()) : while ($get_quotes->have_posts()) : $get_quotes->the_post();	
        global $post;		
        $link = get_post_meta($post->ID, "info_box_link", true);
        if($link == "")
			$link = "#"; ?> 
			<div class="featured-quote">   
                <blockquote>
                    <?php the_excerpt(); ?>
                </blockquote>
                <cite>~ <a href="<?php echo $link; ?>"><?php the_title(); ?></a></cite>
			</div>
	<?php endwhile;
	else :
		ocmx_no_posts();
	endif; ?>
</div>
<?php get_footer(); ?>
