<?php
// Fetch the Portfolio Categories
global $post;
$term =  wp_get_post_terms( $post->ID, "portfolio-category" );
$parentpage = get_template_link("portfolio.php");
$cat_list = get_terms( "portfolio-category", "orderby=count&hide_empty=0" );
get_header(); ?>
<div class="title-block">
	<!--Show the Title -->
	<h2 class="section-title">
		<?php if( isset( $parentpage ) && is_object( $parentpage ) ) { echo $parentpage->post_title . ' /'; } ?>

		<span>
			<?php if( is_array( $term ) && !empty( $term ) ): ?>
				<a href="<?php echo get_term_link( $term[0]->slug, "portfolio-category" ); ?>"> <?php echo $term[0]->name; ?></a> /
			<?php endif; ?>
			<?php the_title(); ?>
		</span>
	</h2>
	<?php if ( get_option( "ocmx_portfolio_links" ) != "false" ) : ?>
	<!--Show the Category Links unless unchecked in Theme Options -->
			<ul class="portfolio-categories">
				<?php foreach( $cat_list as $tax ) :
					$link = get_term_link($tax->slug, "portfolio-category");
					echo "<li><a href=\"$link\">".$tax->name."</a></li>";
				endforeach; ?>
			</ul>
	<?php endif; ?>
</div>

<ul class="double-column portfolio clearfix">
	<?php if (have_posts()) :
		 global $post;
		while (have_posts()) : the_post(); setup_postdata($post);
			get_template_part("/functions/fetch-portfolio");
		endwhile;
	else :
		ocmx_no_posts();
	endif; ?>
</ul>
<!--Begin Footer -->
<?php get_footer(); ?>